Summary:        Python bindings for kmod/libkmod
Name:           python-kmod
License:        LGPLv2+
Version:        0.9
Release:        3%{?dist}
URL:            https://github.com/agrover/python-kmod/
Source0:        https://github.com/downloads/agrover/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gcc python3-devel python3-Cython python3 kmod-devel

%description
python-kmod is a Python wrapper module for libkmod, exposing common module \
operations: listing installed modules, modprobe, and rmmod.

%package -n python3-kmod
Summary:        Python module to work with kernel modules

%description -n python3-kmod
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files -n python3-kmod
%license COPYING.LESSER
%doc README
%{python3_sitearch}/kmod/
%{python3_sitearch}/kmod*.egg-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Xun Zhong <victorzhong@tencent.com> - 0.9-1
- Initial build